curl -X POST 'https://api.sendforsign.com/api/contract' \
-H 'X-Sendforsign-Key: YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{
"data": {
"action": "create",
"clientKey": "YOUR_CLIENT_KEY",
"userKey": "USER_KEY",
"contract": {
"name": "New contract",
"templateKey": "TEMPLATE_KEY"
}
}
}'
{
"contract": {
"createTime": "2023-12-01 12:18:55",
"contractKey": "CONTRACT_KEY"
},
"code": "201",
"message": "Contract created"
}
Contract
Create from template
Create a new contract using an existing template.
POST
/
api
/
contract
curl -X POST 'https://api.sendforsign.com/api/contract' \
-H 'X-Sendforsign-Key: YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{
"data": {
"action": "create",
"clientKey": "YOUR_CLIENT_KEY",
"userKey": "USER_KEY",
"contract": {
"name": "New contract",
"templateKey": "TEMPLATE_KEY"
}
}
}'
{
"contract": {
"createTime": "2023-12-01 12:18:55",
"contractKey": "CONTRACT_KEY"
},
"code": "201",
"message": "Contract created"
}
Body parameters
object
required
Show child attribute
Show child attribute
string
required
Action type.
string
required
Key of the client.
string
ID of the user who create the contract. If not specified, the default user credentials will be used.
Response
string
The code of the answer.
string
The message of the answer.
curl -X POST 'https://api.sendforsign.com/api/contract' \
-H 'X-Sendforsign-Key: YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{
"data": {
"action": "create",
"clientKey": "YOUR_CLIENT_KEY",
"userKey": "USER_KEY",
"contract": {
"name": "New contract",
"templateKey": "TEMPLATE_KEY"
}
}
}'
{
"contract": {
"createTime": "2023-12-01 12:18:55",
"contractKey": "CONTRACT_KEY"
},
"code": "201",
"message": "Contract created"
}
⌘I